| Home · All Classes · All Namespaces · Modules · Functions · Files

Classes | Public Member Functions
Tp::RefCounted Class Reference
Utililty classes

The RefCounted class is a base class for shared objects used by SharedPtr. More...

`#include <TelepathyQt/RefCounted>`

Inherited by Tp::AbstractClient, Tp::ConnectionLowlevel, Tp::ConnectionManagerLowlevel, Tp::ContactFactory, Tp::ContactMessenger, Tp::DBusProxyFactory, Tp::Filter, Tp::MethodInvocationContext, Tp::Object, Tp::Profile, Tp::SimpleCallObserver, Tp::SimpleObserver, Tp::SimpleStreamTubeHandler::InvocationData, Tp::SimpleTextObserver, Tp::StreamTubeClient, and Tp::StreamTubeServer.

List of all members.

## Classes

- class SharedCount

## Public Member Functions

- RefCounted ()
- virtual ~RefCounted ()

## Detailed Description

The RefCounted class is a base class for shared objects used by SharedPtr.

See Shared Pointer Usage

## Constructor & Destructor Documentation

Tp::RefCounted::RefCounted | ( |  | ) | `[inline]`

virtual Tp::RefCounted::~RefCounted | ( |  | ) | `[inline, virtual]`